package net.argius.filetool;

import java.lang.reflect.*;

/**
 * テストのユーティリティ。
 */
final class TestHelper {

    /**
     * プライベート
     * @param c クラス
     */
    static void callPrivateConstructor(Class c) {
        try {
            Constructor ctor = c.getDeclaredConstructor(new Class[0]);
            ctor.setAccessible(true);
            ctor.newInstance(new Object[0]);
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex.toString());
        }
    }

}
